diff --git a/platforms/unix/plugins/FileDialogPlugin/sqUnixFileDialog.c b/platforms/unix/plugins/FileDialogPlugin/sqUnixFileDialog.c
index 16fae9b37..d973b0b52 100644
--- a/platforms/unix/plugins/FileDialogPlugin/sqUnixFileDialog.c
+++ b/platforms/unix/plugins/FileDialogPlugin/sqUnixFileDialog.c
@@ -20,6 +20,9 @@
  *
  * This is a shell that only implements fileDialogGetLocation
  */
+
+/* BEO Old 
+
 #include <stdlib.h>
 #include <stdio.h>
 #include <sys/stat.h>
@@ -28,6 +31,21 @@
 #include "sqConfig.h"
 #include "sqPlatformSpecific.h"
 #include "FileDialogPlugin.h"
+ */
+
+/* BEO New */
+
+#include "sq.h"
+#include "sqVirtualMachine.h"
+#include "FileDialogPlugin.h"
+#include "sqUnixCharConv.h"
+
+
+#include <stdlib.h>
+#include <stdio.h>
+#include <sys/stat.h>
+
+/* BEO done */
 
 extern struct VirtualMachine *interpreterProxy; /* signalSemaphoreWithIndex */
 
